Commit 98cbbd4c authored by Paul McCarthy's avatar Paul McCarthy 🚵
Browse files

MNT: Don't attempt to request core GL profile on GTK2 wxpy builds. What we

should really be doing is detecting whether we have a GLX or an EGL wxPython
build, but this is not possible to my knowledge.
parent 849d8fd9
......@@ -275,7 +275,6 @@ def _selectPyOpenGLPlatform():
os.environ['PYOPENGL_PLATFORM'] = 'egl'
_selectPyOpenGLPlatform()
......@@ -918,8 +917,10 @@ class GLContext:
# with no arguments, and just hope.
candidates = []
wxver = fwidgets.wxVersion()
wxplat = fwidgets.wxPlatform()
if wxver is not None and \
if wxplat in (fwidgets.WX_GTK3, fwidgets.WX_MAC_COCOA) and \
wxver is not None and \
fslversion.compareVersions(wxver, '4.1.1') >= 0:
# Request 3.3 core profile unless caller
# has requested an older version.
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment